Warning, /libraries/kdb/CMakeLists.txt is written in an unsupported language. File is not indexed.

0001 cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
0002 
0003 set(REQUIRED_KF5_VERSION 5.45.0)
0004 find_package(ECM ${REQUIRED_KF5_VERSION} REQUIRED NO_MODULE)
0005 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})
0006 include(SetKDbCMakePolicies NO_POLICY_SCOPE)
0007 
0008 project(KDb VERSION 3.2.90) # Update this: Alpha = 90, Beta 1 = 91, RC 1 = 94
0009 
0010 include(KDbAddTests)
0011 include(KDbAddExamples)
0012 kdb_add_tests(OFF)
0013 kdb_add_examples(OFF)
0014 
0015 # ECM
0016 include(ECMGeneratePriFile)
0017 include(ECMInstallIcons)
0018 include(ECMOptionalAddSubdirectory)
0019 include(ECMPoQmTools)
0020 include(ECMSetupVersion)
0021 include(ECMCoverageOption)
0022 include(KDEInstallDirs)
0023 include(KDECMakeSettings NO_POLICY_SCOPE)
0024 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
0025 include(ECMSetupQtPluginMacroNames)
0026 include(ECMAddQch)
0027 
0028 # Own
0029 include(KDbCreateSharedDataClasses)
0030 include(KDbGenerateHeaders)
0031 include(KDbMacros)
0032 
0033 simple_option(BUILD_QCH "Build API documentation in QCH format" OFF)
0034 
0035 # Dependencies
0036 set(REQUIRED_QT_VERSION 5.4.0)
0037 set(REQUIRED_KF5_VERSION 5.16.0)
0038 
0039 # Required components to build this framework
0040 # TODO move Widgets-dependent part to a libKDbWidgets
0041 find_package(Qt5 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Core Widgets Xml)
0042 find_package(KF5 ${REQUIRED_KF5_VERSION} REQUIRED CoreAddons)
0043 find_package(ICU REQUIRED i18n uc)
0044 set_package_properties(ICU PROPERTIES
0045                        PURPOSE "Required by KDb for unicode-aware string comparisons")
0046 
0047 get_git_revision_and_branch()
0048 add_unfinished_features_option()
0049 add_pc_file(${PROJECT_NAME})
0050 
0051 add_subdirectory(src)
0052 add_subdirectory(tools)
0053 
0054 if(BUILD_TESTING)
0055   add_subdirectory(autotests)
0056   add_subdirectory(tests)
0057 endif()
0058 
0059 add_custom_target(cppclean
0060     COMMAND ${CMAKE_SOURCE_DIR}/tools/cppclean-kdb.sh ${CMAKE_BINARY_DIR}
0061     COMMENT "Running CPPCLEAN"
0062 )
0063 
0064 if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
0065     ecm_install_po_files_as_qm(po)
0066 endif()
0067 
0068 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)